Support » Plugin: Gift Aid for WooCommerce » Bundled modernizr script conflicts with Vamtam theme

  • Hi, first of all – thank you for creating this plugin!

    I had to modify your plugin in order for it to work with my theme, which uses a custom Modernizr build. It might work better if you broke out Modernizr into its own file and enqueued it separately, allowing the theme to use its version instead (if present)… But I haven’t tested this.

    Since my theme is already loading modernizr, I simply deleted the modernizr script out of your gift-aid-for-woocommerce-public js files, and this fixed a bunch of JS errors that were breaking my site. Not an ideal solution, but for now it’s working.

    I wonder if you could update the plugin to make it compatible with themes that include a custom Modernizr build, such as Vamtam.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author davetgreen

    (@davetgreen)

    hey @adituriya !

    I’m looking to push some updates out next week, so I’ll try and include a workaround for this along with those changes. Stay tuned!

    Cheers,
    Dave

    Great, thanks Dave!

    I also noticed that this plugin breaks my checkout page a bit (it causes the state/province/county select box not to update when you change the country). Do you know about this issue? I’m not sure what causes it (no JS errors or anything), but when I disable your plugin everything works properly.

    Adi

    Plugin Author davetgreen

    (@davetgreen)

    hey @adituriya,

    Are you using the latest version of the plugin? There was an issue that I fixed a month or two ago that was causing issues.

    The select box should disappear when you select a country other than the UK, just to be clear. Last time I checked it was changing back okay?

    If you could confirm plugin and WooCommerce versions you’re running I’ll take a look.

    Cheers,
    Dave

    That last issue was not when switching countries (which worked fine) but when the page initially loads with a country other than UK. On my checkout the gift aid section also appeared in different positions, on load versus on country change, which was a little weird.

    I was using the latest version of your plugin, and latest version of woocommerce with a few extensions including memberships, subscriptions, name your price, one-page checkout and WPML/multi-currency.

    Plugin Author davetgreen

    (@davetgreen)

    Hi @adituriya

    Unfortunately this plugin has had to take a back seat lately due to heavy client work commitments, however I’m pleased to say I’ll be working on this over the next 2-3 weeks with a view to a major release in early-to-mid January; I should be able to iron out this and other issues.

    Cheers,
    Dave

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Bundled modernizr script conflicts with Vamtam theme’ is closed to new replies.